#version 330

in vec3 ex_TexCoord;
in vec4 ex_Color;

uniform sampler2DArray tex;

layout(location = 0) out vec4 fragColor;
layout(location = 1) out vec4 distortion;

void main(void)
{
    fragColor = texture(tex, ex_TexCoord) * ex_Color;
    distortion = vec4(0.0, 0.0, 0.0, fragColor.a);
}
