#version 330

uniform sampler2D tex;

in vec4 ex_Color;

layout(location = 0) out vec4 fragColor;
layout(location = 1) out vec4 distortion;

void main(void)
{
    fragColor = texture(tex, gl_PointCoord) * ex_Color;
    distortion = vec4(0.0, 0.0, 0.0, 0.0);
}
